## ClutterLayoutMeta ClutterLayoutMeta — Wrapper for actors inside a layout manager |

## Functions

ClutterLayoutManager * | clutter_layout_meta_get_manager ()

## Properties

ClutterLayoutManager * | manager | Read / Write / Construct Only

## Types and Values

| ClutterLayoutMeta
struct | ClutterLayoutMetaClass

## Object Hierarchy

        GObject
        ╰── ClutterChildMeta
            ╰── ClutterLayoutMeta

## Description

ClutterLayoutMeta is a wrapper object created by ClutterLayoutManager implementations in order to store child-specific data and properties.

A ClutterLayoutMeta wraps a ClutterActor inside a ClutterContainer using a ClutterLayoutManager.

ClutterLayoutMeta is available since Clutter 1.2

## Functions

### clutter_layout_meta_get_manager ()

    ClutterLayoutManager *
    clutter_layout_meta_get_manager (ClutterLayoutMeta *data);

Retrieves the actor wrapped by `data`

#### Parameters

data | a ClutterLayoutMeta |

#### Returns

a ClutterLayoutManager.

[transfer none]

Since 1.2

## Types and Values

### ClutterLayoutMeta

    typedef struct {
      ClutterLayoutManager *manager;
    } ClutterLayoutMeta;

Sub-class of ClutterChildMeta specific for layout managers

A ClutterLayoutManager sub-class should create a ClutterLayoutMeta instance by overriding the `ClutterLayoutManager::`create_child_meta()`` virtual function

#### Members

ClutterLayoutManager *`manager`; | the layout manager handling this data |

Since 1.2

### struct ClutterLayoutMetaClass

    struct ClutterLayoutMetaClass {
    };

The ClutterLayoutMetaClass contains only private data and should never be accessed directly

Since 1.2

## Property Details

### The `“manager”` property

      “manager”                  ClutterLayoutManager *

The ClutterLayoutManager that created this ClutterLayoutMeta.

Flags: Read / Write / Construct Only

Since 1.2